org.apache.hadoop.yarn.client.api

## Class AMRMClient.ContainerRequest.ContainerRequestBuilder

- java.lang.Object
- - org.apache.hadoop.yarn.client.api.AMRMClient.ContainerRequest.ContainerRequestBuilder

- Enclosing class:
    AMRMClient.ContainerRequest

      public static final class AMRMClient.ContainerRequest.ContainerRequestBuilder
      extends Object

  Class to construct instances of `AMRMClient.ContainerRequest` with specific options.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerRequestBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AMRMClient.ContainerRequest.ContainerRequestBuilder` | `allocationRequestId(long allocationRequestId)`
    `AMRMClient.ContainerRequest` | `build()`
    `AMRMClient.ContainerRequest.ContainerRequestBuilder` | `capability(org.apache.hadoop.yarn.api.records.Resource capability)`
    `AMRMClient.ContainerRequest.ContainerRequestBuilder` | `executionTypeRequest(org.apache.hadoop.yarn.api.records.ExecutionTypeRequest executionTypeRequest)`
    `AMRMClient.ContainerRequest.ContainerRequestBuilder` | `nodeLabelsExpression(String nodeLabelsExpression)`
    `AMRMClient.ContainerRequest.ContainerRequestBuilder` | `nodes(String[] nodes)`
    `AMRMClient.ContainerRequest.ContainerRequestBuilder` | `priority(org.apache.hadoop.yarn.api.records.Priority priority)`
    `AMRMClient.ContainerRequest.ContainerRequestBuilder` | `racks(String[] racks)`
    `AMRMClient.ContainerRequest.ContainerRequestBuilder` | `relaxLocality(boolean relaxLocality)`
    `AMRMClient.ContainerRequest.ContainerRequestBuilder` | `resourceProfile(String resourceProfile)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerRequestBuilder

          public ContainerRequestBuilder()

  - ### Method Detail

    - #### capability

          public AMRMClient.ContainerRequest.ContainerRequestBuilder capability(org.apache.hadoop.yarn.api.records.Resource capability)

    - #### nodes

          public AMRMClient.ContainerRequest.ContainerRequestBuilder nodes(String[] nodes)

    - #### racks

          public AMRMClient.ContainerRequest.ContainerRequestBuilder racks(String[] racks)

    - #### priority

          public AMRMClient.ContainerRequest.ContainerRequestBuilder priority(org.apache.hadoop.yarn.api.records.Priority priority)

    - #### allocationRequestId

          public AMRMClient.ContainerRequest.ContainerRequestBuilder allocationRequestId(long allocationRequestId)

    - #### relaxLocality

          public AMRMClient.ContainerRequest.ContainerRequestBuilder relaxLocality(boolean relaxLocality)

    - #### nodeLabelsExpression

          public AMRMClient.ContainerRequest.ContainerRequestBuilder nodeLabelsExpression(String nodeLabelsExpression)

    - #### executionTypeRequest

          public AMRMClient.ContainerRequest.ContainerRequestBuilder executionTypeRequest(org.apache.hadoop.yarn.api.records.ExecutionTypeRequest executionTypeRequest)

    - #### resourceProfile

          public AMRMClient.ContainerRequest.ContainerRequestBuilder resourceProfile(String resourceProfile)

    - #### build

          public AMRMClient.ContainerRequest build()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.